lpstat(1)

NAME
lpstat - gibt CUPS-Statusinformationen aus

SYNOPSIS
lpstat [ -h Rechnername[:Port] ] [ -E ] [ -H ] [ -U Benutzername ] [ -l ] [ -W welche-Druckaufträge ] [ -a [ Ziel(e) ] ] [ -c [ Klasse(n) ] ] [ -d ] [ -e ] [ -o [ Ziel(e) ] ] [ -p [ Drucker ] ] [ -r ] [ -R ] [ -s ] [ -t ] [ -u [ Benutzer ] ] [ -v [ Drucker ] ]

BESCHREIBUNG
lpstat zeigt Statusinformationen über die aktuellen Klassen, Aufträge und Drucker an. Falls lpstat ohne Argumente aufgerufen wird, führt es die aktiven, vom aktuellen Benutzer eingereichten Druckaufträge auf.

OPTIONEN
Der Befehl lpstat unterstützt die folgenden Optionen:

-E  Erzwingt Verschlüsselung bei Verbindungen zum Server.

-H  Zeigt den Rechnernamen und Port des Servers.

-R  Zeigt die Rangordnung der Druckaufträge.

-U Benutzername
    Legt einen alternativen Benutzernamen fest.

-W welche-Aufträge
    Specifies which jobs to show, "all, "successful", "completed" or "not-completed" (the default). This option must appear before the -o option and/or any printer names, otherwise the default ("not-completed") value will be used in the request to the scheduler.

-a [Drucker]
    Zeigt den Annahmezustand der Druckerwarteschlangen. Falls keine Drucker angegeben sind, werden alle Drucker aufgeführt.

-c [Klasse(n)]
    Zeigt die Druckerklassen und die zugehörigen Drucker. Falls keine Klassen angegeben sind, werden alle Klassen aufgeführt.

-d  Zeigt das aktuelle Standardziel.

-e  Zeigt alle verfügbaren Ziele im lokalen Netz an.

-h Server[:Port]
    Legt einen alternativen Server fest. Hinweis: Diese Option muss vor allen anderen auftauchen.

-l  Zeigt eine lange Auflistung von Druckern, Klassen oder Aufträgen.

-o [Ziel(e)]
    Zeigt die Auftragswarteschlangen der angegebenen Ziele. Falls keine Ziele angegeben sind, werden alle Aufträge gezeigt.

-p [Drucker]
    Zeigt die Drucker und ob sie zum Druck aktiviert wurden. Falls keine Drucker angegeben wurden, werden alle Drucker aufgeführt.

-r  Zeigt, ob der CUPS-Server läuft.

-s  Zeigt eine Statuszusammenfassung, darunter das Standardziel, eine Liste der Klassen und ihrer zugehörigen Drucker und eine Liste der Drucker und der zugehörigen Geräte. Dies ist äquivalent zur Verwendung der Optionen -d, -c und -v.

-t  Zeigt alle Statusinformationen. Dies ist äquivalent zur Verwendung der Optionen -r, -d, -c, -v, -a, -p und -o.

-u [Benutzer]
    Zeigt eine Liste von Druckaufträgen, die von den angegebenen Benutzern anstehen. Wenn keine Benutzer angegeben wurden, werden die Druckaufträge des aktuellen Benutzers aufgelistet.

-v [Drucker]
    Zeigt die Drucker und welchem Gerät sie zugeordnet sind. Wenn keine Drucker angegeben sind, werden alle Drucker aufgelistet.

KONFORMITÄT
Anders als in einem System-V-Drucksystem erlaubt CUPS, dass Druckernamen jedes druckbare Zeichen außer LEERZEICHEN, TABULATOR, »/« oder »#« enthalten. Außerdem wird bei Drucker- und Klassennamen Groß- und Kleinschreibung nicht unterschieden.

Die Optionen -h, -e, -E, -U und -W sind eine Besonderheit von CUPS.

Die Solaris-Optionen -f, -P und -S werden stillschweigend ignoriert.

SIEHE AUCH
cancel(1), lp(1), lpq(1), lpr(1), lprm(1), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.